//Shader files specific to te_mgm & te_mgm_be
//by Mikultra
//www.mikultra.id.au

textures/te_milltext/temill_skyallied
{
	qer_editorimage textures/te_milltext/temillsky.tga
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm sky
	q3map_globaltexture
	q3map_lightimage textures/te_milltext/temillsky1.tga
	q3map_lightsubdivide 512 
	q3map_sun	1.000000 0.904956 0.477548 20 325 65
	q3map_surfacelight 400
	skyparms full 200 -
	fogvars ( 0.63 0.84 1.00 ) 4850
	{
		map textures/te_milltext/temillsky.tga
        	blendFunc GL_DST_COLOR GL_ZERO
		tcMod scale 12.0 12.0
	}
}

textures/te_milltext/temill_skyaxis
{
	qer_editorimage textures/te_milltext/temillsky.tga
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm sky
	q3map_globaltexture
	q3map_lightimage textures/te_milltext/temillsky1.tga
	q3map_lightsubdivide 512 
	q3map_sun	1.000000 0.904956 0.477548 20 35 65
	q3map_surfacelight 400
	skyparms full 200 -
	fogvars ( 1.00 0.66 0.42 ) 4850
	{
		map textures/te_milltext/temillsky.tga
        	blendFunc GL_DST_COLOR GL_ZERO
		tcMod scale 12.0 12.0
	}
}

textures/te_milltext/3dcdrygrass_nonsolid
{
	qer_editorimage textures/te_milltext/3dcdrygrass.jpg
	surfaceparm nonsolid
	surfaceparm grasssteps
    {
        map $lightmap
        rgbGen identity
    }
    {
        map textures/te_milltext/3dcdrygrass.jpg
        blendFunc GL_DST_COLOR GL_ZERO	
        rgbGen identity
    }
}

textures/te_milltext/3dcdrygrass_solid
{
	qer_editorimage textures/te_milltext/3dcdrygrass.jpg
	surfaceparm grasssteps
    	surfaceparm nodamage
    {
        map $lightmap
        rgbGen identity
    }
    {
        map textures/te_milltext/3dcdrygrass.jpg
        blendFunc GL_DST_COLOR GL_ZERO	
        rgbGen identity
    }
}

textures/te_milltext/river_gravel
{
	qer_editorimage textures/te_milltext/3dcpebbles.jpg
	surfaceparm gravelsteps
    {
        map $lightmap
        rgbGen identity
    }
    {
        map textures/te_milltext/3dcpebbles.jpg
        blendFunc GL_DST_COLOR GL_ZERO	
        rgbGen identity
    }
}
//LIQUIDS
textures/te_milltext/mill_water
{
		qer_editorimage textures/te_milltext/millwat1.jpg
		qer_trans .5
		surfaceparm trans
		surfaceparm nonsolid
		surfaceparm water
		cull disable
		waterfogvars ( 1.0 0.91 0.5 ) 300
		{ 
			map textures/te_milltext/millwat1.jpg
			blendFunc GL_one GL_zero	
			rgbgen identity
			tcmod scroll .005 .025
		}
}

textures/te_milltext/mill_sewer
{
		qer_editorimage textures/te_milltext/millwat2.jpg
		qer_trans .5
		surfaceparm trans
		surfaceparm nonsolid
		surfaceparm water
		cull disable
		waterfogvars ( 0.1 0.45 0.75 ) 45
		{ 
			map textures/te_milltext/millwat2.jpg
			blendFunc GL_dst_color GL_zero	
			rgbgen identity
		}
}

//SPECIAL
textures/te_milltext/mik_hiddenwater
{
	qer_editorimage textures/te_milltext/mik_hiddenwater.jpg
	qer_trans .75
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm water
}

//////////////////////
// MILL PRODU
//////////////////////

textures/te_milltext/mill_blooglass
{
	qer_editorimage textures/te_milltext/blooglass.jpg
	surfaceparm trans
	{
		map textures/te_milltext/blooglass.jpg
        	blendFunc GL_ONE GL_ONE
		rgbGen identity
	}
}

textures/te_milltext/da_bloolite
{
	qer_editorimage textures/te_milltext/bloolite.jpg
	q3map_lightimage textures/te_milltext/bloolite.jpg
	q3map_surfacelight 7500
	surfaceparm nomarks
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/te_milltext/bloolite.jpg
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/te_milltext/da_greenlite
{
	qer_editorimage textures/te_milltext/greeenlite.jpg
	q3map_lightimage textures/te_milltext/greeenlite.jpg
	q3map_surfacelight 7500
	surfaceparm nomarks
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/te_milltext/greeenlite.jpg
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/te_milltext/mill_roof
{
	qer_editorimage textures/te_milltext/mgmroof.jpg
	surfaceparm roofsteps
    	surfaceparm nodamage
    {
        map $lightmap
        rgbGen identity
    }
    {
        map textures/te_milltext/mgmroof.jpg
        blendFunc GL_DST_COLOR GL_ZERO	
        rgbGen identity
    }
}

textures/te_milltext/the_sawdust
{
	qer_editorimage textures/te_milltext/mik_sawdust.jpg
	surfaceparm grasssteps
    	surfaceparm nodamage
    {
        map $lightmap
        rgbGen identity
    }
    {
        map textures/te_milltext/mik_sawdust.jpg
        blendFunc GL_DST_COLOR GL_ZERO	
        rgbGen identity
    }
}

textures/te_milltext/tabletop
{
	qer_editorimage textures/te_milltext/3dcwoodstained.jpg
	surfaceparm woodsteps
    {
        map $lightmap
        rgbGen identity
    }
    {
        map textures/te_milltext/3dcwoodstained.jpg
        blendFunc GL_DST_COLOR GL_ZERO	
        rgbGen identity
    }
}

textures/te_milltext/wood_bark
{
	qer_editorimage textures/te_milltext/mik_bark.jpg
	surfaceparm woodsteps
    {
        map $lightmap
        rgbGen identity
    }
    {
        map textures/te_milltext/mik_bark.jpg
        blendFunc GL_DST_COLOR GL_ZERO	
        rgbGen identity
    }
}

textures/te_milltext/wood_pile
{
	qer_editorimage textures/te_milltext/bfwoodpile.jpg
	surfaceparm woodsteps
    {
        map $lightmap
        rgbGen identity
    }
    {
        map textures/te_milltext/bfwoodpile.jpg
        blendFunc GL_DST_COLOR GL_ZERO	
        rgbGen identity
    }
}
///////////////////
// DECOR
///////////////////
textures/te_milltext/wood_floor
{
	qer_editorimage textures/te_milltext/3dcwoodfloor.jpg
	surfaceparm woodsteps
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/te_milltext/3dcwoodfloor.jpg
		blendFunc GL_DST_COLOR GL_ZERO	
		rgbGen identity
	}
}